# DRAKON Editor plugin demo.
# by Stepan Mitkin
# stipan.mitkin@gmail.com
# 7 February 2014
# http://drakon-editor.sourceforge.net/

# Part 1: Hello world!

# Register the gen_d::generate procedure as the code generator for language "D".
gen::add_generator "D" gen_d::generate

namespace eval gen_d {

# The code generator procedure. It will be called by DRAKON Editor.
# Arguments:
#   db - A handle to the database of the original file. Read only!
#   gdb - A handle to the temporary database. Read-write.
#   filename - The .drn filename.
proc generate { db gdb filename } {
	puts "hello world"
}

}
